Skip to main content

System One

Ask structured questions about a video and get model answers, synchronously or as a job.

📄️Ask questions about a video (async job)

Queue questions about one video and poll `GET /v1/systemone/jobs/{job_id}` for the answer (or pass `callback_url` to receive the finished job as a POST). Give the video as exactly one of `video.url` (public http(s) file URL), `video.video_id` (a video in your library; `404` when not visible to you) or `video.upload_id` (a file from `POST /v1/systemone/uploads`; `404` with `code: systemone_upload_not_found` when not in your organization). Besides `noul`, `choice` and `score`, jobs accept `time` questions, answered with `{presence, best: {start, end, score} | null, segments, resolution_s}`.